Package org.eclipse.birt.report.model.api

# Class ExpressionType

java.lang.Object
org.eclipse.birt.report.model.api.ExpressionType

public class ExpressionType extends Object
Enumerates the expression types.

## Field Summary

Fields
Modifier and Type
Field
Description
`static final String`
`CONSTANT`
`static final String`
`JAVASCRIPT`

## Constructor Summary

Constructors
Constructor
Description
`ExpressionType()`

## Method Summary

Modifier and Type
Method
Description
`static Iterator<String>`
`iterator()`
Gets possible types for the expression.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### CONSTANT

public static final String CONSTANT

See Also:
  - Constant Field Values

### JAVASCRIPT

public static final String JAVASCRIPT

See Also:
  - Constant Field Values

## Constructor Details

### ExpressionType

public ExpressionType()

## Method Details

### iterator

public static Iterator<String> iterator()
Gets possible types for the expression.

Returns:
  the